cURL
curl --request GET \
--url https://api.maesn.dev/accounting/paymentsimport requests
url = "https://api.maesn.dev/accounting/payments"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.maesn.dev/accounting/payments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.maesn.dev/accounting/payments",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.maesn.dev/accounting/payments"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.maesn.dev/accounting/payments")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.maesn.dev/accounting/payments")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"meta": {
"warnings": [
"Field not used by target system"
],
"pagination": {
"total": 125,
"perPage": 50,
"currentPage": 1,
"totalPages": 3
},
"partialErrors": [
{
"code": "FILE_UPLOAD_FAILED",
"message": "Attachment invoice.pdf could not be uploaded to the target system."
}
]
},
"data": [
{
"id": "94a5ab44-3218-4492-8b5d-a31bc0288c0b",
"currency": "EUR",
"createdDate": "2021-01-01T00:00:00Z",
"description": "Payment of bill",
"documentType": "BILL_BOOKING_PROPOSAL",
"exchangeRate": 1,
"fiscalYear": "2025",
"journalCode": "30",
"journalId": "8df2df10-0fae-40ad-9d22-f25e5ab0ba23",
"updatedDate": "2021-01-01T00:00:00Z",
"paymentDate": "2025-01-01",
"paymentLines": [
{
"accountId": "4a6b5e92-a261-4be9-814d-84dec9636c16",
"amount": 100,
"contactName": "John Doe",
"contactId": "6532708-12e3-4ff5-bf39-02698e959963",
"customerId": "6532708-12e3-4ff5-bf39-02698e959963",
"description": "payment of bill",
"invoiceId": "a44f5af1-8310-4f97-b945-26e35288b35f",
"paymentDate": "2025-01-01",
"supplierId": "6532708-12e3-4ff5-bf39-02698e959963"
}
],
"paymentType": "CREDITOR"
}
]
}Payments
Get payments
GET
/
accounting
/
payments
cURL
curl --request GET \
--url https://api.maesn.dev/accounting/paymentsimport requests
url = "https://api.maesn.dev/accounting/payments"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.maesn.dev/accounting/payments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.maesn.dev/accounting/payments",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.maesn.dev/accounting/payments"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.maesn.dev/accounting/payments")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.maesn.dev/accounting/payments")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"meta": {
"warnings": [
"Field not used by target system"
],
"pagination": {
"total": 125,
"perPage": 50,
"currentPage": 1,
"totalPages": 3
},
"partialErrors": [
{
"code": "FILE_UPLOAD_FAILED",
"message": "Attachment invoice.pdf could not be uploaded to the target system."
}
]
},
"data": [
{
"id": "94a5ab44-3218-4492-8b5d-a31bc0288c0b",
"currency": "EUR",
"createdDate": "2021-01-01T00:00:00Z",
"description": "Payment of bill",
"documentType": "BILL_BOOKING_PROPOSAL",
"exchangeRate": 1,
"fiscalYear": "2025",
"journalCode": "30",
"journalId": "8df2df10-0fae-40ad-9d22-f25e5ab0ba23",
"updatedDate": "2021-01-01T00:00:00Z",
"paymentDate": "2025-01-01",
"paymentLines": [
{
"accountId": "4a6b5e92-a261-4be9-814d-84dec9636c16",
"amount": 100,
"contactName": "John Doe",
"contactId": "6532708-12e3-4ff5-bf39-02698e959963",
"customerId": "6532708-12e3-4ff5-bf39-02698e959963",
"description": "payment of bill",
"invoiceId": "a44f5af1-8310-4f97-b945-26e35288b35f",
"paymentDate": "2025-01-01",
"supplierId": "6532708-12e3-4ff5-bf39-02698e959963"
}
],
"paymentType": "CREDITOR"
}
]
}Field support per integration

Exact Online
Exact Online
If you’re not using the Interactive Authentication Flow, make sure the query parameter
companyId is correctly populated.
You can obtain this value by using the GET Companies endpoint available under the Authentication section.For date format details visit the Standardized Data section
The
currency field supports ISO 4217 (3-letter codes).
For details visit the Standardized Data section.For date format details visit the Standardized Data section

Odoo
Odoo
Query parameters:Supported response fields:
For date format details visit the Standardized Data section
The
currency field supports ISO 4217 (3-letter codes).
For details visit the Standardized Data section.For date format details visit the Standardized Data section

QuickBooks
QuickBooks
Query parameters:Supported response fields:
The
currency field supports ISO 4217 (3-letter codes).
For details visit the Standardized Data section.For date format details visit the Standardized Data section
Show properties
Show properties
For date format details visit the Standardized Data section

weclapp
weclapp
Query parameters:
Supported response fields:
For date format details visit the Standardized Data section
For date format details visit the Standardized Data section
Last modified on November 5, 2026
Was this page helpful?